---
search:
  tags:
    - Customer Groups
    - DELETE
seo:
  description: >-
    Permanently deletes a customer… Reference for the DELETE
    /api/v1/{team_slug}/{app_slug}/customer-groups/{customer_group_id} endpoint
    in the Management API.
sidebar:
  label: Delete a customer group
  badge: DELETE
title: Delete a customer group
type: openapi-operation
---
Permanently deletes a customer group.

`DELETE /api/v1/{team_slug}/{app_slug}/customer-groups/{customer_group_id}`

**Responses**

- `200` — Customer Group deleted successfully
- `400` — Invalid request (e.g. bad customer group ID format)
- `401` — Unauthorized access
- `404` — Not found
- `409` — Conflict
- `500` — Internal server error

Response example, 200:

```json
{
  "data": "string",
  "details": [
    "string"
  ],
  "success": true
}
```
